# BEGIN SourceDeps(oneline):
BuildRequires: perl(Bio/AlignIO.pm) perl(Config.pm) perl(DBD/mysql.pm) perl(DBI.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(IO/File.pm) perl(Module/Build.pm) perl(Pod/Usage.pm) perl(Test/More.pm) perl(overload.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_version 0.78
%define module_name Bio-NEXUS
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.78
Release: alt1
Summary: An object-oriented Perl Applications Programming Interface (API) for the NEXUS file format
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/A/AR/ARLIN/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This is the base class for the Bio::NEXUS package, providing an object-oriented API to .the NEXUS file format of *Maddison, et al.*, 1997.  This module provides methods to 
add/remove blocks, select blocks/trees/subtrees/OTUs/characters and so on.  For a 
tutorial illustrating how to use Bio::NEXUS, see the Tutorial.pod entry in the doc manpage.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc README_admin README LICENSE doc
%perl_vendor_privlib/B*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.78-alt1
- initial import by package builder

